com.google.gwt.resources.client

## Class CommonResources

- java.lang.Object
- - com.google.gwt.resources.client.CommonResources

    public class CommonResources
    extends java.lang.Object

Generally useful styles and resources used throughout GWT widgets and cells.

### Nested Class Summary

Nested Classes
`(package private) static interface` `CommonResources.Bundle` The `ClientBundle` of resources.
`(package private) static interface` `CommonResources.InlineBlockStyle` Cross-browser implementation of the "display: inline-block" CSS property.

### Constructor Summary

Constructors
Constructor and Description
`CommonResources()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `getInlineBlockStyle()` Get the style class name that simulates a "display: inline-block" effect across browsers.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommonResources

    public CommonResources()

### Method Detail

#### getInlineBlockStyle

    public static java.lang.String getInlineBlockStyle()

Get the style class name that simulates a "display: inline-block" effect across browsers.